OGRE: Ogre::TRect< T > Struct Template Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::TRect< T > Struct Template Reference
[General]

`#include <OgreCommon.h>`

List of all members.

## Public Member Functions
| TRect ()
| TRect (T const &l, T const &t, T const &r, T const &b)
| TRect (TRect const &o)
TRect & | operator= (TRect const &o)
T | width () const
T | height () const
bool | isNull () const
void | setNull ()
TRect & | merge (const TRect &rhs)
TRect | intersect (const TRect &rhs) const
## Public Attributes
T | left
T | top
T | right
T | bottom

## Detailed Description

### template<typename T>
struct Ogre::TRect< T >

Definition at line 529 of file OgreCommon.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::TRect< T >::TRect | ( |  | ) |

Definition at line 532 of file OgreCommon.h.

template<typename T>

Ogre::TRect< T >::TRect | ( | T const & | l,
|  | T const & | t,
|  | T const & | r,
|  | T const & | b |
| ) |  |  |

Definition at line 533 of file OgreCommon.h.

template<typename T>

Ogre::TRect< T >::TRect | ( | TRect< T > const & | o | ) |

Definition at line 537 of file OgreCommon.h.

## Member Function Documentation

template<typename T>

T Ogre::TRect< T >::height | ( |  | ) | const

Definition at line 553 of file OgreCommon.h.

Referenced by Ogre::TRect< Real >::isNull().

template<typename T>

TRect Ogre::TRect< T >::intersect | ( | const TRect< T > & | rhs | ) | const

Definition at line 582 of file OgreCommon.h.

template<typename T>

bool Ogre::TRect< T >::isNull | ( | void |  | ) | const

Definition at line 557 of file OgreCommon.h.

Referenced by Ogre::TRect< Real >::intersect(), and Ogre::TRect< Real >::merge().

template<typename T>

TRect& Ogre::TRect< T >::merge | ( | const TRect< T > & | rhs | ) |

Definition at line 565 of file OgreCommon.h.

template<typename T>

TRect& Ogre::TRect< T >::operator= | ( | TRect< T > const & | o | ) |

Definition at line 541 of file OgreCommon.h.

template<typename T>

void Ogre::TRect< T >::setNull | ( |  | ) |

Definition at line 561 of file OgreCommon.h.

template<typename T>

T Ogre::TRect< T >::width | ( |  | ) | const

Definition at line 549 of file OgreCommon.h.

Referenced by Ogre::TRect< Real >::isNull().

## Member Data Documentation

template<typename T>

T Ogre::TRect< T >::bottom

Definition at line 531 of file OgreCommon.h.

Referenced by Ogre::TRect< Real >::height(), Ogre::TRect< Real >::intersect(), Ogre::TRect< Real >::merge(), Ogre::TRect< Real >::operator=(), and Ogre::TRect< Real >::setNull().

template<typename T>

T Ogre::TRect< T >::left

Definition at line 531 of file OgreCommon.h.

Referenced by Ogre::TRect< Real >::intersect(), Ogre::TRect< Real >::merge(), Ogre::operator<<(), Ogre::TRect< Real >::operator=(), Ogre::Font::setGlyphTexCoords(), Ogre::TRect< Real >::setNull(), and Ogre::TRect< Real >::width().

template<typename T>

T Ogre::TRect< T >::right

Definition at line 531 of file OgreCommon.h.

Referenced by Ogre::TRect< Real >::intersect(), Ogre::TRect< Real >::merge(), Ogre::TRect< Real >::operator=(), Ogre::TRect< Real >::setNull(), and Ogre::TRect< Real >::width().

template<typename T>

T Ogre::TRect< T >::top

Definition at line 531 of file OgreCommon.h.

Referenced by Ogre::TRect< Real >::height(), Ogre::TRect< Real >::intersect(), Ogre::TRect< Real >::merge(), Ogre::TRect< Real >::operator=(), and Ogre::TRect< Real >::setNull().

The documentation for this struct was generated from the following file:

- OgreCommon.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54